Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent()> _
Public Class AssetsHandlingGroupChange
    Inherits BaseObject
    Private _QueueIndex As Long
    Private _AssetsHandlingStatus As AssetsHandlingStatus
    Private _IsQueueIndex As Boolean
    Private _AssetsHandling_Note_Customers As String
    Private _IsAssetsHandling_Note_Customers As Boolean
    Private _AssetsHandling_Note_Invoice As String
    Private _IsAssetsHandling_Note_Invoice As Boolean
    Private _NoAssetsHandlingModifies As Boolean 'Nincs felsz. módosítod?
    Private _NoAssetsHandling As Boolean
    Private _AktivModifies As Boolean 'Aktív státuszt módosítod?
    Private _IsActive As Boolean
    

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Browsable(False)> _
    Property QueueIndex As Long
        Get
            Return _QueueIndex
        End Get
        Set(value As Long)
            SetPropertyValue("QueueIndex", _QueueIndex, value)
        End Set
    End Property
    Property AssetsHandlingStatus As AssetsHandlingStatus
        Get
            Return _AssetsHandlingStatus
        End Get
        Set(value As AssetsHandlingStatus)
            SetPropertyValue("AssetsHandlingStatus", _AssetsHandlingStatus, value)
            If value IsNot Nothing Then
                QueueIndex = value.QueueIndex
            End If
        End Set
    End Property
    Property IsQueueIndex As Boolean
        Get
            Return _IsQueueIndex
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsQueueIndex", _IsQueueIndex, value)
        End Set
    End Property

    <Size(-1)> _
    Property AssetsHandling_Note_Customers As String
        Get
            Return _AssetsHandling_Note_Customers
        End Get
        Set(value As String)
            SetPropertyValue("AssetsHandling_Note_Customers", _AssetsHandling_Note_Customers, value)
        End Set
    End Property
    Property IsAssetsHandling_Note_Customers As Boolean
        Get
            Return _IsAssetsHandling_Note_Customers
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsAssetsHandling_Note_Customers", _IsAssetsHandling_Note_Customers, value)
        End Set
    End Property

    <Size(-1)> _
    Property AssetsHandling_Note_Invoice As String
        Get
            Return _AssetsHandling_Note_Invoice
        End Get
        Set(value As String)
            SetPropertyValue("AssetsHandling_Note_Invoice", _AssetsHandling_Note_Invoice, value)
        End Set
    End Property
    Property IsAssetsHandling_Note_Invoice As Boolean
        Get
            Return _IsAssetsHandling_Note_Invoice
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsAssetsHandling_Note_Invoice", _IsAssetsHandling_Note_Invoice, value)
        End Set
    End Property

    Public Property NoAssetsHandlingModifies() As Boolean
        Get
            Return _NoAssetsHandlingModifies
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("NoAssetsHandlingModifies", _NoAssetsHandlingModifies, value)
        End Set
    End Property 'Nem kell fizetési felszólítás módosuljon
    Public Property NoAssetsHandling() As Boolean
        Get
            Return _NoAssetsHandling
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("NoAssetsHandling", _NoAssetsHandling, value)
        End Set
    End Property         'Nem kell fizetési felszólítás / Legyen

    Public Property AktivModifies() As Boolean
        Get
            Return _AktivModifies
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("AktivModifies", _AktivModifies, value)
        End Set
    End Property
    Public Property IsActive() As Boolean
        Get
            Return _IsActive
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("IsActive", _IsActive, value)
        End Set
    End Property

    Property IsAssetsHandling_InvoiceHeader As Boolean
    Property IsAssetsHandling_InvoiceHeader_Modifies As Boolean

    Property IsLateChargeModifies As Boolean 'A késedelmi kamatszáml módosuljon ?
    Property IsLateCharge As Boolean
End Class
